package cn.iocoder.yudao.module.mes.controller.admin.feedingrecord.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FeedingTypeEnum {

    领料("org", 0L),
    湿废品("wet", 11L),
    干废品("dry", 10L);


    private final String value;
    //干湿品在原料表中记录id
    private final Long table_id;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static FeedingTypeEnum fromValue(String value) {
        for (FeedingTypeEnum status : FeedingTypeEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}